const int LeftDir =  40;
const int LeftStep =  41;
const int RightDir =  42;
const int RightStep =  43;


void MoveStright()
{
  if (NoSteps>StrightAmount-100) 
  {
    Timer3.stop();
    Timer3.attachInterrupt(MoveStrightConst, 1500);
  }
  else
  {
    stepBoth();
    NoSteps++;
  }
}

void MoveStrightSoft()
{
  if (NoSteps>StrightAmount) 
  {
    Timer3.stop();
    NoSteps=0;
  }
  else
  {
    Timer3.stop();
    Timer3.attachInterrupt(MoveStrightSoft, NoSteps);
    stepBoth();
    NoSteps++;
  }
}

void MoveTurn()
{
  if (NoSteps>TurnAmount) 
  {
    Timer3.stop();
    NoSteps=0;
  }
  else
  {
    stepBoth();
    NoSteps++;
  }
}




void setupStepper() 
{
  pinMode(LeftDir, OUTPUT); 
  pinMode(LeftStep, OUTPUT); 
  pinMode(RightDir, OUTPUT); 
  pinMode(RightStep, OUTPUT); 
  digitalWrite(LeftDir, HIGH);  //fwd
  digitalWrite(RightDir, LOW);//fwd
}


void stepBoth()
{    
  digitalWrite(LeftStep, HIGH);
  digitalWrite(RightStep, HIGH);
   digitalWrite(LeftStep, LOW);
  digitalWrite(RightStep, LOW);
}

void turnLeft()
{
  digitalWrite(LeftDir, HIGH); //Bwd
  digitalWrite(RightDir, HIGH);//fwd
}


void turnRight()
{
  digitalWrite(LeftDir, LOW); //fwd
  digitalWrite(RightDir, LOW);//Bwd
}

void stright()
{
  digitalWrite(LeftDir, HIGH);  //fwd
  digitalWrite(RightDir, LOW);//fwd
}
